<?php
/**
 * My home page
 */

$page = "home.txt";

if (isset($_GET["page"]))
    $page = $_GET["page"];

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?= $page ?> - Beautiful RFI</title>
    <link rel="stylesheet" href="/bootstrap.min.css">
</head>

<body>
    <nav class="navbar navbar-expand-lg bg-dark" data-bs-theme="dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="/">Beautiful VULN RFI</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor02"
                aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarColor02">
                <ul class="navbar-nav me-auto">
                    <li class="nav-item">
                        <a class="nav-link <?= $page === "home.txt" ? "active" : "" ?>" href="/?page=home.txt">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link <?= $page === "about.txt" ? "active" : "" ?>" href="/?page=about.txt">About</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link <?= $page === "privacy.txt" ? "active" : "" ?>" href="/?page=privacy.txt">Privacy</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <h1 class="display-4 fw-normal text-body-emphasis" style="color: white !important; text-align: center;">
        <?= str_replace(".txt", "", $page) ?>
    </h1>

    <pre style="max-width: 700px; margin: auto;">
<?php echo file_get_contents($page); ?>
    </pre>

    <script src="/bootstrap.bundle.min.js"></script>
</body>

</html>